      Subroutine ffpn (q2,fcp,fcn)
c *** see RH Landau, Program lpott, 1981
c     proton charge ff (also p mag and n mag If nrom(0)=1)
c     neutron charge form factor
c     q in f-1
      Implicit Real*8 (a-h,m,o-z)
c
      data x,un,mn/18.2,-1.91315,4.7548/
      fcp = 1./((1.+q2/x)**2)
      fcn = -(un*q2*0.25/mn/mn)*fcp
      Return
      End
